PROJ	=CMDEDIT
DEBUG	=1
CC	=qcl
AS	=qcl
CFLAGS_G	= /AT /W1 /Ze 
CFLAGS_D	= /Zi 
CFLAGS_R	= /Od 
CFLAGS	=$(CFLAGS_G) $(CFLAGS_D)
AFLAGS_G	= /Cx /W1 /P2 
AFLAGS_D	= /Zd 
AFLAGS_R	= 
AFLAGS	=$(AFLAGS_G) $(AFLAGS_D)
LFLAGS_G	= /CP:0xfff /NOI /SE:0x80 /T /ST:0x0 /M 
LFLAGS_D	= /CO 
LFLAGS_R	= 
LFLAGS	=$(LFLAGS_G) $(LFLAGS_D)
RUNFLAGS	=
OBJS_EXT = 	
LIBS_EXT = 	

.asm.obj: ; $(AS) $(AFLAGS) -c $*.asm

all:	$(PROJ).COM

cmdedit.obj:	cmdedit.asm $(INC)

cmdmacro.obj:	cmdmacro.asm $(INC)

dirs.obj:	dirs.asm $(INC)

edit.obj:	edit.asm $(INC)

history.obj:	history.asm $(INC)

strstack.obj:	strstack.asm $(INC)

utl.obj:	utl.asm $(INC)

install.obj:	install.asm $(INC)

$(PROJ).COM:	cmdedit.obj cmdmacro.obj dirs.obj edit.obj history.obj \
	strstack.obj utl.obj install.obj $(OBJS_EXT)
	echo >NUL @<<$(PROJ).crf
cmdedit.obj +
cmdmacro.obj +
dirs.obj +
edit.obj +
history.obj +
strstack.obj +
utl.obj +
install.obj +
$(OBJS_EXT)
$(PROJ).COM

$(LIBS_EXT);
<<
	ilink -a -e "qlink $(LFLAGS) @$(PROJ).crf" $(PROJ)

run: $(PROJ).COM
	$(PROJ) $(RUNFLAGS)

